DataExpanded.cpp File Reference
`#include "Data.h"`
`#include "DataConstant.h"`
`#include "DataException.h"`
`#include "DataExpanded.h"`
`#include "DataVectorOps.h"`
`#include "DataTagged.h"`
`#include <limits>`

## Namespaces

| escript

## Macros

#define | CHECK_FOR_EX_WRITE

## Macro Definition Documentation

## CHECK_FOR_EX_WRITE

#define CHECK_FOR_EX_WRITE

Referenced by escript::DataExpanded::copyToDataPoint(), escript::DataExpanded::getTypedVectorRW(), escript::DataExpanded::getVectorRW(), escript::DataExpanded::getVectorRWC(), escript::DataExpanded::reorderByReferenceIDs(), escript::DataExpanded::replaceNaN(), escript::DataExpanded::setSlice(), escript::DataExpanded::setTaggedValue(), and escript::DataExpanded::setToZero().